## org.eclipse.jst.jsf.metadataprocessors.features
Interface IDefaultValue

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  AbstractEnumerationType, BooleanType, ColorType, ContentType, CurrencyCodeType, DoubleType, EnumerationType, IntegerType, LanguageCodeType, LengthType, LinkType, LocaleType, LongType, MultiSignatureEnumerationType, NumberType, StringType, TimeZoneType

    public interface IDefaultValue

extends IMetaDataEnabledFeature

Interface providing a default value.

Field Summary
`static java.lang.String` `DEFAULT_VALUE_PROP_NAME` Default name of property in annotation file to use when supplying default values from meta-data

Method Summary
`java.lang.String` `getDefaultValue()`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### DEFAULT_VALUE_PROP_NAME

    static final java.lang.String DEFAULT_VALUE_PROP_NAME

  Default name of property in annotation file to use when supplying default values from meta-data

  See Also:
    Constant Field Values

Method Detail

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns:
    default value or null if one not defined